--- install-sh.orig	2010-04-22 13:32:13.000776102 +0200
+++ install-sh	2010-04-22 13:35:55.804781474 +0200
@@ -88,7 +88,6 @@ while ${MORETODO} ; do
     X-G)
 	GROUP="$2"
 	shift
-	${ROOT} && CHGROUPIT=true
 	;;
     X-G*)
 	if ${ROOT} ; then
@@ -107,12 +106,10 @@ while ${MORETODO} ; do
 	;;
     X-M)
 	MODE="$2"
-	${ROOT} && CHMODIT=true
 	shift
 	;;
     X-M*)
 	MODE=`expr "$1" : '-m\(.*\)'`
-	${ROOT} && CHMODIT=true
 	;;
     X-n)
 	TOUCHIT=false
@@ -129,7 +126,6 @@ while ${MORETODO} ; do
     X-O)
 	OWNER="$2"
 	shift
-	${ROOT} && CHOWNIT=true
 	;;
     X-O*)
 	if ${ROOT} ; then
